
"""
🚨 DEPENDENCY CONFUSION VULNERABILITY DETECTED 🚨

Package: package_publisher
You imported a package that didn't exist until now!

This could have been a malicious package installed by an attacker.
This educational package was created by VibeHat security research.

Learn more: https://vibehat.dev/dependency-confusion
Source file that referenced this: backend/main.py
"""

import warnings

warnings.warn(
    f"\n🚨 DEPENDENCY CONFUSION VULNERABILITY DETECTED 🚨\n"
    f"Package: package_publisher\n"
    f"You imported a package that didn't exist until now!\n"
    f"This could have been a malicious package by an attacker.\n"
    f"Learn more: https://vibehat.dev/dependency-confusion\n"
    f"Source: backend/main.py",
    UserWarning,
    stacklevel=2
)

def get_warning_info():
    return {
        "warning": "This package was created to demonstrate dependency confusion vulnerability",
        "package": "package_publisher",
        "learnMore": "https://vibehat.dev/dependency-confusion",
        "sourceFile": "backend/main.py"
    }

__version__ = "1.0.0"
__all__ = ["get_warning_info"]
